// ---
// Calculates normalization factor for student t function.
//

#include "fitline.h"

cdbl pi()
{
  return 2.0*acos(0.0);
}

dbl norm(uns nu)
{
  dbl a;

  if (nu%2 == 0) {                                            // nu is even
    a = factln(nu - 1) - 2.0 * factln(nu/2 - 1);
    a -= (nu - 1) * log(2.0);                        // factln(n) is ln(n!)
    a -= 0.5 * log((dbl)(nu));
    a = exp(a);
    return a;
  }

  else {                                                       // nu is odd
    a = 2.0 * factln((nu - 1)/2) - factln(nu - 1);
    a += (nu - 1)*log(2.0) - 0.5 * log((dbl)(nu));
    a = exp(a);
    a /= pi();                                     // M_PI is not supported
    return a;
  }
}

