//
// prints a usage message on the screen
//
#include "fitline.h"
#include "config.h" // for WINCMD & PACKAGE_BUGREPORT

void prn_usage(char** argv)
{
  string pgname = basename(argv[0]);                 // chops long pathname

  if (pgname.rfind(".exe") != string::npos) {
    pgname.replace(pgname.find(".exe"),4,"");
  }

  #ifdef WINCMD // windows' cmd.exe does not honor bold type
  cout <<
    "\n Usage: " << pgname << 
    " [--help]"
    " [--version]"
    " [--sigmas]"
    " datafile\n";
  cout <<
    " Single letter options (-h, -v, -s)"
    " are available.\n\n";

  #else
  cout <<
    "\n Usage: \033[1m" << pgname << "\033[0m"
    " [--help]"
    " [--version]"
    " [--sigmas]"
    " \033[1mdatafile\033[0m\n";
  cout <<
    " Single letter options (-h, -v, -s)"
    " are available.\n\n";
  #endif
}

